def pin_verification_system():
	global correct_pin
	global wait_time
	try_counter = 10
	
	while True:
		# Get pin
		pin = get_pin()
		
		# Check pin
		if pin == correct_pin:
			# Unlock device
			unlock_device()
			break
		else:
			# Display "wrong pin try again"
			beep()
			print("Wrong pin try again")
			wait(wait_time) # to prevent brute-force
			
			# Decrement try_counter
			try_counter -= 1
			
			# If try_counter == 0
			if try_counter == 0:
				# Put device in lockout mode
				print("Device locked out! Too many failed attempts.")
				break
